[Geschlossen] ChromeDriver-Version zu niedrig weil kein Update oder zu hoch weil manuelle Test-Version

Hier gibt es Support zu den Plugin der neuesten Generation des Hibiscus-Mashup Projekts von Sebastian Richter
hbci
VIP
VIP
Beiträge: 423
Registriert: Sa 7. Mär 2020, 15:01

Re: Hibiscus Mashup mit Advanzia KK: Fehler

Beitrag von hbci » Fr 11. Nov 2022, 19:04

Advanzia ist ein non-HBCI-Konto und muss mit Mashup abgerufen werden. Für Wise gibt's ein Addon für Hibiscus direkt. In deinem ersten Posting war doch bis auf den inkompatiblen Chromedriver alles korrekt.

BlackMage
Beiträge: 20
Registriert: Fr 11. Nov 2022, 17:13

Re: Hibiscus Mashup mit Advanzia KK: Fehler

Beitrag von BlackMage » Fr 11. Nov 2022, 19:10

ja aber ich kriege das mit dem inkompatiblem chrome driver nicht weg. wie kann ich das lösen?

mein anderes Konto funktioniert ja problemlos

und wir sprechen beide von derselben KK abrufbar über mein.advanzia.com ?

ich bekomme immer nur

Code: Alles auswählen

Current browser version is 107.0.5304.0 with binary path /home/sven/.chrome-headless/chrome-linux/chrome 
Host info: host: 'sven-MacBookPro', ip: '127.0.1.1'
Build info: version: '4.5.0', revision: 'fe167b119a'
System info: os.name: 'Linux', os.arch: 'amd64', os.version: '5.15.0-48-generic', java.version: '18.0.2-ea'
Driver info: org.openqa.selenium.chrome.ChromeDriver
Command: [null, newSession {capabilities=[Capabilities {acceptInsecureCerts: false, browserName: chrome, goog:chromeOptions: {args: [--headless, --lang=de-DE, --disable-geolocation, --disable-notifications, --disable-gpu, --disable-infobars, --disable-password-generation, --disable-extensions, --disable-browser-side-navi..., --incognito, --disable-sync, --enable-features=NetworkSe..., --disable-features=NetworkS..., --disable-component-update, --start-maximized, --dns-prefetch-disable, --no-sandbox, --disable-setuid-sandbox, --disable-dev-shm-usage], binary: /home/sven/.chrome-headless..., extensions: [], prefs: {credentials_enable_service: false, download.default_directory: /tmp/chromedriver-downloads, download.directory_upgrade: true, download.prompt_for_download: false, intl.accept_languages: de-DE,de, password_manager_enabled: false, plugins.always_open_pdf_externally: true, plugins.plugins_disabled: [Chrome PDF Viewer], profile.default_content_settings.popups: 0}}, goog:loggingPrefs: org.openqa.selenium.logging..., proxy: Proxy(direct)}], desiredCapabilities=Capabilities {acceptInsecureCerts: false, browserName: chrome, goog:chromeOptions: {args: [--headless, --lang=de-DE, --disable-geolocation, --disable-notifications, --disable-gpu, --disable-infobars, --disable-password-generation, --disable-extensions, --disable-browser-side-navi..., --incognito, --disable-sync, --enable-features=NetworkSe..., --disable-features=NetworkS..., --disable-component-update, --start-maximized, --dns-prefetch-disable, --no-sandbox, --disable-setuid-sandbox, --disable-dev-shm-usage], binary: /home/sven/.chrome-headless..., extensions: [], prefs: {credentials_enable_service: false, download.default_directory: /tmp/chromedriver-downloads, download.directory_upgrade: true, download.prompt_for_download: false, intl.accept_languages: de-DE,de, password_manager_enabled: false, plugins.always_open_pdf_externally: true, plugins.plugins_disabled: [Chrome PDF Viewer], profile.default_content_settings.popups: 0}}, goog:loggingPrefs: org.openqa.selenium.logging..., proxy: Proxy(direct)}}]
	at org.openqa.selenium.remote.ProtocolHandshake.createSession(ProtocolHandshake.java:144)
	at org.openqa.selenium.remote.ProtocolHandshake.createSession(ProtocolHandshake.java:102)
	at org.openqa.selenium.remote.ProtocolHandshake.createSession(ProtocolHandshake.java:67)
	at org.openqa.selenium.remote.HttpCommandExecutor.execute(HttpCommandExecutor.java:156)
	at org.openqa.selenium.remote.service.DriverCommandExecutor.invokeExecute(DriverCommandExecutor.java:167)
	at org.openqa.selenium.remote.service.DriverCommandExecutor.execute(DriverCommandExecutor.java:142)
	at org.openqa.selenium.remote.RemoteWebDriver.execute(RemoteWebDriver.java:547)
	at org.openqa.selenium.remote.RemoteWebDriver.startSession(RemoteWebDriver.java:242)
	at org.openqa.selenium.remote.RemoteWebDriver.<init>(RemoteWebDriver.java:157)
	at org.openqa.selenium.chromium.ChromiumDriver.<init>(ChromiumDriver.java:101)
	at org.openqa.selenium.chrome.ChromeDriver.<init>(ChromeDriver.java:81)
	at org.openqa.selenium.chrome.ChromeDriver.<init>(ChromeDriver.java:70)
	at de.derrichter.finance.websync.connector.ChromeDriverWebClientInit.connConfig(ChromeDriverWebClientInit.java:779)
	at de.derrichter.hibiscus.mashup.crossover.websync.institute.advanziabank.Collector.run(Collector.java:173)
	at de.derrichter.hibiscus.mashup.crossover.websync.WebSynchronizeJobKontoauszug.execute(WebSynchronizeJobKontoauszug.java:84)
	at de.derrichter.hibiscus.mashup.crossover.websync.WebSynchronizeBackend$WebSyncJobGroup.sync(WebSynchronizeBackend.java:854)
	at de.willuhn.jameica.hbci.synchronize.AbstractSynchronizeBackend$Worker.run(AbstractSynchronizeBackend.java:399)
	at de.willuhn.jameica.gui.GUI$7.run(GUI.java:1081)



hbci
VIP
VIP
Beiträge: 423
Registriert: Sa 7. Mär 2020, 15:01

Re: Hibiscus Mashup mit Advanzia KK: Fehler

Beitrag von hbci » Fr 11. Nov 2022, 19:16

gochbewohner hat geschrieben:
Fr 11. Nov 2022, 17:46
Abhilfe: unter Jamaica das Verzeichnis des Drivers löschen und die Version 107 wieder installieren.
Wise hat mit Mashup rein gar nix zu tun.

Ich gehe schwer davon aus, dass wir die gleiche KK meinen.

Notfalls machste eine Neuinstallation des Sorglos-Pakets und updatest, wenn überhaupt, nur auf Stable-Versionen der Plugins.
Zuletzt geändert von hbci am Fr 11. Nov 2022, 19:18, insgesamt 1-mal geändert.

BlackMage
Beiträge: 20
Registriert: Fr 11. Nov 2022, 17:13

Re: Hibiscus Mashup mit Advanzia KK: Fehler

Beitrag von BlackMage » Fr 11. Nov 2022, 19:17

ja aber Wise mit hibiscus, sry hibiscus habe ich gemeint

hbci
VIP
VIP
Beiträge: 423
Registriert: Sa 7. Mär 2020, 15:01

Re: Hibiscus Mashup mit Advanzia KK: Fehler

Beitrag von hbci » Fr 11. Nov 2022, 19:18

Das habe ich ja nicht bestritten.

BlackMage
Beiträge: 20
Registriert: Fr 11. Nov 2022, 17:13

Re: Hibiscus Mashup mit Advanzia KK: Fehler

Beitrag von BlackMage » Fr 11. Nov 2022, 19:22

okay, und wie krieg ich den Warning "Ihre verwendete Chromium-Version 107.0.5304.0 passt nicht zu der verwendeten ChromeDriver ver. 106.0.5249.61 und wird daher nicht offiziell unterstützt" weg?

scheint jetzt alles so weit zu funktionieren
Zuletzt geändert von BlackMage am Fr 11. Nov 2022, 19:32, insgesamt 1-mal geändert.

hbci
VIP
VIP
Beiträge: 423
Registriert: Sa 7. Mär 2020, 15:01

Re: Hibiscus Mashup mit Advanzia KK: Fehler

Beitrag von hbci » Fr 11. Nov 2022, 19:31

Hast du die 108er Version gelöscht? Dann installierst du die 107er:
2022-11-11 19_29_19-Jameica 2.10.2.png
2022-11-11 19_30_07-Jameica 2.10.2.png
Du hast keine ausreichende Berechtigung, um die Dateianhänge dieses Beitrags anzusehen.

hbci
VIP
VIP
Beiträge: 423
Registriert: Sa 7. Mär 2020, 15:01

Re: Hibiscus Mashup mit Advanzia KK: Fehler

Beitrag von hbci » Fr 11. Nov 2022, 19:36

Wie jetzt, klappt der Abruf jetzt?

BlackMage
Beiträge: 20
Registriert: Fr 11. Nov 2022, 17:13

Re: Hibiscus Mashup mit Advanzia KK: Fehler

Beitrag von BlackMage » Fr 11. Nov 2022, 19:43

ja
hier meine Versionen
2022-11-11_19-42.png
grün markiert sind hibiscus.scripting.selenium und hibiscus.scripting.chromedriver obwohl bereits die verfügbare Version installiert ist?!
Du hast keine ausreichende Berechtigung, um die Dateianhänge dieses Beitrags anzusehen.

hbci
VIP
VIP
Beiträge: 423
Registriert: Sa 7. Mär 2020, 15:01

Re: Hibiscus Mashup mit Advanzia KK: Fehler

Beitrag von hbci » Fr 11. Nov 2022, 19:48

Äh, grün heißt ja, dass die installierte mit der verfügbaren, also aktuellen, Version übereinstimmt. Jetzt updatest du noch alle Plugins, die noch nicht grün sind, und dann ist alles schick. Die, die du noch nicht installiert hast, brauchst du nicht unbedingt, wenn alles sonst läuft.
Zuletzt geändert von hbci am Fr 11. Nov 2022, 19:50, insgesamt 1-mal geändert.

Zurück zu „Hibiscus Mashup über Finance.Websync - (Beta 0.x = neue Release 3 der alten Scripte)“